package com.sagacloud.route.processors.Insurance;
/*
 * Author: Jxing
 * Create Time: 2018/11/15
 */

import com.alibaba.fastjson.JSONObject;
import com.sagacloud.pojos.InsurancePost;
import com.sagacloud.pojos.Warranty;
import com.sagacloud.utils.Const;
import com.sagacloud.utils.HttpRequests;
import org.apache.camel.Exchange;
import org.apache.camel.Processor;

import java.util.HashMap;
import java.util.Map;

public class AddNewWarranty implements Processor {
    @Override
    public void process(Exchange exchange) throws Exception {
        Map<String, Warranty> newWarranty = (Map<String, Warranty>) exchange.getProperty("newWarranty");
        for(String insuranceNum : newWarranty.keySet()){
            JSONObject object = new JSONObject();
            Warranty warranty = newWarranty.get(insuranceNum);
            object.put("venderId", warranty.getVenderId());
            object.put("insuranceNo", insuranceNum);
            if(warranty.getContractFile() != null)
                object.put("contractFile", warranty.getContractFile());
            object.put("projectId", warranty.getProjectId());
            HttpRequests.sendPost(Const.venders + "/insurance/contract/create", object.toString());
        }
    }
}
